From: Henning Schild <henning.schild@siemens.com>
To: isar-users@googlegroups.com
Cc: Henning Schild <henning.schild@siemens.com>
Subject: [PATCH 2/2] meta: make builddep installation verbose
Date: Tue, 5 May 2020 13:00:26 +0200 [thread overview]
Message-ID: <20200505110026.6390-2-henning.schild@siemens.com> (raw)
In-Reply-To: <20200505110026.6390-1-henning.schild@siemens.com>
From: Henning Schild <henning.schild@siemens.com>
We can not rely on the return value of mk-build-deps and do grep to
decide whether it worked. But that way we loose the output for
debugging.
Keep a copy of the output and write it to stdout.
Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
meta/recipes-devtools/buildchroot/files/deps.sh | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/meta/recipes-devtools/buildchroot/files/deps.sh b/meta/recipes-devtools/buildchroot/files/deps.sh
index 6048305a7a..93bc9cf557 100644
--- a/meta/recipes-devtools/buildchroot/files/deps.sh
+++ b/meta/recipes-devtools/buildchroot/files/deps.sh
@@ -35,8 +35,13 @@ fi
# Install all build deps
if [ "$3" = "--download-only" ]; then
- mk-build-deps $set_arch -t "${install_cmd}" -i -r debian/control 2>&1 \
- | grep "mk-build-deps: Unable to install all build-dep packages"
+ # this will not return 0 even when it worked
+ mk-build-deps $set_arch -t "${install_cmd}" -i -r debian/control &> \
+ mk-build-deps.output || true
+ cat mk-build-deps.output
+ # we assume success when we find this
+ grep "mk-build-deps: Unable to install all build-dep packages" mk-build-deps.output
+ rm -f mk-build-deps.output
else
mk-build-deps $set_arch -t "${install_cmd}" -i -r debian/control
--
2.26.2
next prev parent reply other threads:[~2020-05-05 11:00 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-05 11:00 [PATCH 1/2] meta: remove dead code from buildchroot script Henning Schild
2020-05-05 11:00 ` Henning Schild [this message]
2020-05-05 11:02 ` Henning Schild
2020-05-06 8:57 ` Baurzhan Ismagulov
2020-05-06 15:40 ` Henning Schild
2020-05-06 15:43 ` Jan Kiszka
2020-05-06 18:49 ` Baurzhan Ismagulov
2020-05-25 13:47 ` Baurzhan Ismagulov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20200505110026.6390-2-henning.schild@siemens.com \
--to=henning.schild@siemens.com \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox